CONN_REGISTER_CM_QUIESCENT_FUNC(3)

FUNCTION
conn_register_cm_quiescent_func - Register callback for quiescence.

SYNOPSIS
#include <karma_conn.h>

void conn_register_cm_quiescent_func

( void (*func) () )

DESCRIPTION
This routine will register a callback function to be called when the Connection Management tool or shell is quiescent (ie. all modules have started and all initial connections made). The function is ONLY called if the module is running under the Connection Management tool or shell.

quiescent_func
    The routine which will be called when the Connection Management tool or shell is quiescent. The prototype function is <-conn_PROTO_quiescent_func->.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
Only one callback may be registered.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/